Delete Webforms

Purpose

To delete one or more Webforms from Zoho CRM. You can delete up to 150 Webforms in a single API call.

Endpoints

  • DELETE /settings/webforms?module={module_API_name}&ids={webform_id1, webform_id2, webform_id3, ..}
  • DELETE /settings/webforms/{webform_id}

Request Details

Request URL

To delete a specific Webform by its ID:
{api-domain}/crm/{version}/settings/webforms/{webform_id}

To delete multiple Webforms by their IDs:
{api-domain}/crm/{version}/settings/webforms?module={module_API_name}&ids={webform_id1, webform_id2, webform_id3, ..}
 

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.webforms.ALL
(or)
ZohoCRM.settings.webforms.DELETE

Parameters
  • modulestring, mandatory

    Specify the module API name of the Webforms that you want to delete.

  • idsstring, mandatory for deleting multiple Webforms

    Specify the unique IDs of Webforms that you want to delete. Pass up to 150 Webform IDs, in a comma separated format.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/webforms?module=Leads&ids=4794410000000768054%2C4794410000000768002"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X DELETE

Note

  • When multiple Webform IDs are passed, if some deletions succeed and others fail, the API responds with 207 Multi-Status. Check the status key in each response item to see the result of each deletion.
  • If an invalid or non-existent Webform ID is provided, the deletion fails for that entry. The API returns an error code and message for the specific entry in the response.

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The HTTP request method type is not a valid one.
    Resolution: This API supports only the DELETE method. Retry the request using the DELETE method.

  • REQUIRED_PARAM_MISSINGHTTP 400

    One of the expected parameter is missing.
    Resolution: Pass the ids parameter in the API request. This is a mandatory parameter for the API call to the endpoint {api-domain}/crm/{version}/settings/webforms.

  • INVALID_DATAHTTP 400

    Invalid value provided for module.
    Resolution: Provide a valid module API name.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized.
    Resolution: Client does not have the required OAUTH SCOPE. Create a new token with valid scope. Refer to the Scope section for more details.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one.
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error.
    Resolution: Unexpected and unhandled exception in Server. Contact support team.

Copied{
    "webforms": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "4794410000000768054"
            },
            "message": "WebForm deleted successfully",
            "status": "success"
        },
        {
            "code": "SUCCESS",
            "details": {
                "id": "4794410000000768002"
            },
            "message": "WebForm deleted successfully",
            "status": "success"
        }
    ]
}